- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages
- Examples

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# c_string_sink Class Reference

`#include <fastformat/sinks/c_string.hpp>`

List of all members.

## Detailed Description

Sink for translating a statement into c_string instructions.

## Public Types
typedef c_string_sink | class_type
| This type.
typedef ff_char_t | char_type
| The character type.
typedef size_t | size_type
| The size type.
## Public Member Functions
| c_string_sink (size_type n, char_type *buffer)
| Constructs from a character buffer.
template<size_t N>
| c_string_sink (char_type(&ar)[N])
| Constructs from a character array.
size_type | size () const
| The number of characters written to the sink.
size_type | capacity () const
| The total number of characters accessible to the sink.
class_type & | write (size_type cchTotal, size_type numResults, ff_string_slice_t const *results, int flags)
| Outputs the results, according to the given flags.

## Member Typedef Documentation

typedef c_string_sink class_type

This type.

typedef ff_char_t char_type

The character type.

typedef size_t size_type

The size type.

## Constructor & Destructor Documentation

c_string_sink | ( | size_type | n,
|  | char_type * | buffer |
| ) |  |  | `[inline]`

Constructs from a character buffer.

c_string_sink | ( | char_type & | ar[N] | ) | `[inline]`

Constructs from a character array.

## Member Function Documentation

size_type size | ( |  | ) | const`[inline]`

The number of characters written to the sink.

size_type capacity | ( |  | ) | const`[inline]`

The total number of characters accessible to the sink.

class_type& write | ( | size_type | cchTotal,
|  | size_type | numResults,
|  | ff_string_slice_t const * | results,
|  | int | flags |
| ) |  |  | `[inline]`

Outputs the results, according to the given flags.

The documentation for this class was generated from the following file:

- fastformat/sinks/c_string.hpp

FastFormat Library documentation © Matthew Wilson, 2006-2009 |